%define	name	straw	
%define	version	0.19.2
%define	release	2mdk
%define	Summary	RSS feed agregator for Gnome
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Other
URL:		http://www.nongnu.org/straw/
Source0:	http://savannah.nongnu.org/download/straw/straw.pkg/%{version}/%{name}-%{version}.tar.bz2
Source1:	%name-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

BuildRequires:	gettext libpython-devel >= %{py_ver}
Requires:	gnome-python PyXML pygtk2.0 pygtk2.0-libglade gnome-python-canvas
Requires:	gnome-python-gtkhtml2 gnome-python-gconf adns-python egenix-mx-base
Requires:	python-bsddb3 gnome-python-gnomevfs

%description
Straw is a desktop news aggregator for the GNOME environment. Its aim is to be
a faster, easier and more accessible way to read news and blogs than the 
traditional browser.

%prep
%setup -q -a1
#%setup -q -T -D -a1
perl -pi -e "s#python2.2#python%{py_ver}#g" src/straw

%build
make PYTHON=python%{py_ver}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
%makeinstall PREFIX=${RPM_BUILD_ROOT}%{_prefix} PYTHON=python%{py_ver} LIBDIR=$RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/straw
%find_lang %name

chmod 0644 NEWS LICENSE README TODO

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Networking/Other" \
        icon="%name.png" \
        title="Straw" \
        longtitle="%Summary"
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f straw.lang
%defattr(-,root,root)
%doc NEWS LICENSE README TODO

%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_libdir}/python%{py_ver}/site-packages/%name
%{_menudir}/%name
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/%name.png

%changelog
* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-2mdk
- Locales now work fine
- Fixed rights on docs

* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-1mdk
- 0.19.2

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.1-2mdk
- require gnome-python-gnomevfs

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.19.1-1mdk
- 0.19.1
- fix hardcoded python version in binary

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.18.1-4mdk
- rebuild for new python
- make a %%py_ver macro and use it in stead of hardcoding version
- cosmetics

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-3mdk
- Add require on python-bsddb3

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-2mdk
- Oops, sh is in /bin not %_bindir

* Thu Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-1mdk
- First Package
- Run with LC_ALL=C in menu. Accent problem with gnome stock items make
  menus unusable. I guess the fix will be in gnome-python.
